Summary:	GeoIP database files for xt_geoip
Summary(pl.UTF-8):	Pliki baz danych GeoIP dla xt_geoip
Name:		xtables-geoip
Version:	20180105
Release:	1
License:	GPL, Open Data License
Group:		Networking/Admin
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoIPCountryCSV.zip
# Source0-md5:	0db774fa7fa978f9ec06b857c7fb3c83
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoIPv6.csv.gz
# Source1-md5:	215f3163e2d6ac538927c492b0311d32
Source2:	http://geolite.maxmind.com/download/geoip/database/LICENSE.txt
# Source2-md5:	a1381bd1aa0a0c91dc31b3f1e847cf4a
Source3:	http://sourceforge.net/p/xtables-addons/xtables-addons/ci/master/tree/geoip/xt_geoip_build?format=raw&/xt_geoip_build
# Source3-md5:	4dcd62c8b2c8b90cc88e961613118be3
URL:		http://www.maxmind.com/
BuildRequires:	perl-Text-CSV_XS >= 0.69
BuildRequires:	perl-base
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dbdir	/usr/share/xt_geoip

# no debuginfo to package
%define		_enable_debug_packages	0

%ifarch ppc ppc64 s390 s390x sparc sparc64 sparcv9
%define		byteorder	BE
%else
%define		byteorder	LE
%endif

%description
The package contains the GeoIP definition files (which IP addresses
belong to which country) that are needed for Xtables-addons's xt_geoip
module.

%description -l pl.UTF-8
Ten pakiet zawiera pliki definicji GeoIP (określające, które adresy IP
należą do jakiego kraju), wymagane przez moduł xt_geoip z pakietu
xtables-addons.

%prep
%setup -qc
gunzip -c %{SOURCE1} > GeoIPv6.csv
touch -r %{SOURCE1} GeoIPv6.csv

ver4=$(TZ=GMT stat -c '%y' GeoIPCountryWhois.csv | awk '{print $1}' | tr -d -)
ver6=$(TZ=GMT stat -c '%y' GeoIPv6.csv | awk '{print $1}' | tr -d -)
if [ "$ver4" -gt "$ver6" ]; then
	ver=$ver4
else
	ver=$ver6
fi
if [ "$ver" != %{version} ]; then
	exit 1
fi

cp -p %{SOURCE2} .

%build
%{__perl} %{SOURCE3} GeoIPCountryWhois.csv GeoIPv6.csv | tee ranges.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{dbdir}
cp -a %{byteorder} $RPM_BUILD_ROOT%{dbdir}

%if "%{pld_release}" == "ac"
# handle older xtables in ac:
# kernel-net-xtables-addons-1.18-15@2.6.27.53_1.amd64
# still having old .iv0 names requirement
# http://xtables-addons.git.sourceforge.net/git/gitweb.cgi?p=xtables-addons/xtables-addons;a=commitdiff;h=25bf680ead80e505d5073308f151b4007cb5683f
# create hardlink, to be most compatible
for a in $RPM_BUILD_ROOT%{dbdir}/%{byteorder}/*.iv4; do
	ln $a ${a%.iv4}.iv0
done
# kernel-net-xtables-addons-1.18-8@2.6.27.45_1.i686  searches from /var/lib:
# Could not open /var/lib/geoip/LE/EE.iv0: No such file or directory
install -d $RPM_BUILD_ROOT/var/lib
ln -s %{_datadir}/xt_geoip $RPM_BUILD_ROOT/var/lib/geoip
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if "%{pld_release}" == "ac"
%pretrans
# this needs to be a symlink
if [ -d /var/lib/geoip -a ! -L /var/lib/geoip ]; then
	mv -f /var/lib/geoip{,.rpmsave}
	install -d %{dbdir}
	ln -s %{dbdir} /var/lib/geoip
fi
%endif

%files
%defattr(644,root,root,755)
%doc LICENSE.txt ranges.txt
%dir %{dbdir}
%{dbdir}/%{byteorder}

%if "%{pld_release}" == "ac"
/var/lib/geoip
%endif
%changelog
* Fri Jan 05 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xtables-geoip.git;a=log;h=master

* Fri Jan 05 2018 Elan Ruusamäe <glen@pld-linux.org> 44772d7
- updated to 20180105

* Wed Dec 06 2017 Elan Ruusamäe <glen@pld-linux.org> b21229e
- updated to 20171206

* Mon Nov 06 2017 Elan Ruusamäe <glen@pld-linux.org> ba95019
- updated to 20171106

* Wed Oct 04 2017 Elan Ruusamäe <glen@pld-linux.org> eff6495
- updated to 20171004

* Thu Sep 07 2017 Elan Ruusamäe <glen@pld-linux.org> 07aefb8
- updated to 20170907

* Wed Sep 06 2017 Elan Ruusamäe <glen@pld-linux.org> 2d1eda8
- updated to 20170906

* Thu Aug 03 2017 Elan Ruusamäe <glen@pld-linux.org> 8d7ff3a
- updated to 20170802

* Tue Jul 04 2017 Elan Ruusamäe <glen@pld-linux.org> bc1e33d
- updated to 20170704

* Thu Jun 08 2017 Elan Ruusamäe <glen@delfi.ee> af5e411
- updated to 20170608

* Wed May 03 2017 Elan Ruusamäe <glen@delfi.ee> 0f0a4c1
- updated to 20170502

* Thu Apr 06 2017 Elan Ruusamäe <glen@delfi.ee> 4811789
- updated to 20170406

* Tue Apr 04 2017 Elan Ruusamäe <glen@delfi.ee> d26c5aa
- updated to 20170404

* Tue Mar 07 2017 Elan Ruusamäe <glen@delfi.ee> 5b44bb9
- updated to 20170307

* Tue Feb 07 2017 Elan Ruusamäe <glen@delfi.ee> 7b88038
- updated to 20170207

* Wed Jan 04 2017 Elan Ruusamäe <glen@delfi.ee> 56bac81
- updated to 20170103

* Wed Dec 07 2016 Elan Ruusamäe <glen@delfi.ee> aaddbcd
- updated to 20161207

* Tue Dec 06 2016 Elan Ruusamäe <glen@delfi.ee> 074704b
- updated to 20161206

* Mon Oct 31 2016 Elan Ruusamäe <glen@delfi.ee> b4aac4e
- updated to 20161031

* Tue Oct 04 2016 Elan Ruusamäe <glen@delfi.ee> b7dc721
- updated to 20161004

* Fri Sep 30 2016 Elan Ruusamäe <glen@delfi.ee> f3319f5
- updated to 20160930

